/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.sharp

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Sharp.PhoneEnabled: ImageVector
    get() {
        if (_phoneEnabled != null) {
            return _phoneEnabled!!
        }
        _phoneEnabled = materialIcon(name = "Sharp.PhoneEnabled") {
            materialPath {
                moveTo(3.0f, 15.46f)
                lineToRelative(5.27f, -0.61f)
                lineToRelative(2.52f, 2.52f)
                curveToRelative(2.83f, -1.44f, 5.15f, -3.75f, 6.59f, -6.59f)
                lineToRelative(-2.53f, -2.53f)
                lineTo(15.46f, 3.0f)
                horizontalLineToRelative(5.51f)
                curveTo(21.55f, 13.18f, 13.18f, 21.55f, 3.0f, 20.97f)
                verticalLineTo(15.46f)
                close()
            }
        }
        return _phoneEnabled!!
    }

private var _phoneEnabled: ImageVector? = null
